{
    "$graph": [
        {
            "label": "prime_cache",
            "class": "CommandLineTool",
            "baseCommand": "prime_cache",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-biosource"
                    },
                    "id": "#prime_cache.cwl/biosource"
                },
                {
                    "type": "string",
                    "default": "sequence_cache",
                    "inputBinding": {
                        "prefix": "-cache"
                    },
                    "id": "#prime_cache.cwl/cache_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "fasta",
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#prime_cache.cwl/ifmt"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#prime_cache.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-inst-mol"
                    },
                    "id": "#prime_cache.cwl/inst_mol"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-molinfo"
                    },
                    "id": "#prime_cache.cwl/molinfo"
                },
                {
                    "type": "string",
                    "default": "oseq-ids.seqids",
                    "inputBinding": {
                        "prefix": "-oseq-ids"
                    },
                    "id": "#prime_cache.cwl/seq_ids_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-submit-block-template"
                    },
                    "id": "#prime_cache.cwl/submit_block_template"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#prime_cache.cwl/taxid"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#prime_cache.cwl/taxon_db"
                }
            ],
            "id": "#prime_cache.cwl",
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.cache_dir)"
                    },
                    "id": "#prime_cache.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.seq_ids_name)"
                    },
                    "id": "#prime_cache.cwl/oseq_ids"
                }
            ]
        },
        {
            "label": "cache_asnb_entries",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/cache"
                },
                {
                    "type": "string",
                    "id": "#main/ifmt"
                },
                {
                    "type": "File",
                    "id": "#main/rna"
                },
                {
                    "type": "int",
                    "id": "#main/taxid"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputSource": "#main/prime_cache/asn_cache",
                    "id": "#main/asncache"
                },
                {
                    "type": "File",
                    "outputSource": "#main/prime_cache/oseq_ids",
                    "id": "#main/ids_out"
                }
            ],
            "steps": [
                {
                    "run": "#prime_cache.cwl",
                    "in": [
                        {
                            "source": "#main/cache",
                            "id": "#main/prime_cache/cache"
                        },
                        {
                            "source": "#main/ifmt",
                            "id": "#main/prime_cache/ifmt"
                        },
                        {
                            "source": "#main/rna",
                            "id": "#main/prime_cache/input"
                        }
                    ],
                    "out": [
                        "#main/prime_cache/oseq_ids",
                        "#main/prime_cache/asn_cache"
                    ],
                    "id": "#main/prime_cache"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
